FROM golang:1.22 AS build-stage

WORKDIR /app

COPY go.mod go.sum ./
RUN go mod download

COPY . .

RUN CGO_ENABLED=0 GOOS=linux go build -o /arimelody-web

# ---

FROM scratch

WORKDIR /app

COPY --from=build-stage /arimelody-web /arimelody-web
COPY . .

EXPOSE 8080

CMD ["/arimelody-web"]
